#include "configFile.hpp"
#include <sstream>

Config *cf::openConfig() {
  std::ifstream file(g_cofigFile);
  if (file.is_open()) {
    std::string line;
    line = cf::getLine(&file);
    int8_t nh = std::stoi(line);
    std::string t = cf::getLine(&file);
    Config config = Config(nh, t);
    file.close();
    Config *ptr = &config;
    return ptr;
  } else {
    // file.close();
    // cf::createConfig();
    // return cf::openConfig();
    return nullptr;
  }
}

void cf::closeConfig(Config *config) { delete config; }

std::string cf::getLine(std::ifstream *file) {
  std::string line;
  std::getline(*file, line);

  if (line[0] == '#' || line == "") {
    return cf::getLine(file);
  }

  line = line.substr(line.find("= ") + 1, line.length());
  return line;
}

void cf::createConfig() {}

void cf::saveConfig() {}
